<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <parent>
        <groupId>com.fjhx</groupId>
        <artifactId>bytesailing</artifactId>
        <version>1.0</version>
    </parent>

    <artifactId>hx-admin</artifactId>

    <dependencies>

        <dependency>
            <groupId>com.fjhx</groupId>
            <artifactId>hx-base</artifactId>
        </dependency>

        <dependency>
            <groupId>com.fjhx</groupId>
            <artifactId>hx-item</artifactId>
        </dependency>

        <dependency>
            <groupId>com.fjhx</groupId>
            <artifactId>hx-supply</artifactId>
        </dependency>

<!--        <dependency>-->
<!--            <groupId>com.fjhx</groupId>-->
<!--            <artifactId>hx-iot</artifactId>-->
<!--        </dependency>-->

        <dependency>
            <groupId>com.fjhx</groupId>
            <artifactId>hx-wms</artifactId>
        </dependency>

        <dependency>
            <groupId>com.fjhx</groupId>
            <artifactId>hx-mes</artifactId>
        </dependency>

        <dependency>
            <groupId>com.fjhx</groupId>
            <artifactId>hx-oa</artifactId>
        </dependency>

        <dependency>
            <groupId>com.fjhx</groupId>
            <artifactId>hx-customer</artifactId>
        </dependency>

        <dependency>
            <groupId>com.fjhx</groupId>
            <artifactId>hx-purchase</artifactId>
        </dependency>

        <dependency>
            <groupId>com.fjhx</groupId>
            <artifactId>hx-account</artifactId>
        </dependency>

<!--        <dependency>-->
<!--            <groupId>com.fjhx</groupId>-->
<!--            <artifactId>hx-mail</artifactId>-->
<!--        </dependency>-->

        <dependency>
            <groupId>com.fjhx</groupId>
            <artifactId>hx-sale</artifactId>
        </dependency>

<!--        <dependency>-->
<!--            <groupId>com.fjhx</groupId>-->
<!--            <artifactId>hx-victoriatourist</artifactId>-->
<!--        </dependency>-->

<!--        <dependency>-->
<!--            <groupId>com.fjhx</groupId>-->
<!--            <artifactId>hx-dingding</artifactId>-->
<!--        </dependency>-->

<!--        <dependency>-->
<!--            <groupId>com.fjhx</groupId>-->
<!--            <artifactId>hx-ehsd</artifactId>-->
<!--        </dependency>-->

        <dependency>
            <groupId>com.fjhx</groupId>
            <artifactId>hx-jxst</artifactId>
        </dependency>

        <dependency>
            <groupId>com.fjhx</groupId>
            <artifactId>hx-form</artifactId>
        </dependency>

        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-test</artifactId>
            <scope>test</scope>
        </dependency>

        <dependency>
            <groupId>junit</groupId>
            <artifactId>junit</artifactId>
            <scope>test</scope>
        </dependency>

    </dependencies>

    <build>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <executions>
                    <execution>
                        <goals>
                            <goal>repackage</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-war-plugin</artifactId>
                <version>3.1.0</version>
                <configuration>
                    <failOnMissingWebXml>false</failOnMissingWebXml>
                    <warName>${project.artifactId}</warName>
                </configuration>
            </plugin>
        </plugins>
        <finalName>${project.artifactId}</finalName>
    </build>

</project>
